OGRE-Next: Ogre::GLES2VertexArrayObject Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::GLES2VertexArrayObject Struct Reference

`#include <OgreGLES2VertexArrayObject.h>`

Inheritance diagram for Ogre::GLES2VertexArrayObject:
[legend]

## Public Member Functions
| GLES2VertexArrayObject (GLuint vaoName, uint32 renderQueueId, const VertexBufferPackedVec &vertexBuffers, IndexBufferPacked *indexBuffer, OperationType opType)
Public Member Functions inherited from Ogre::VertexArrayObject
| VertexArrayObject (uint32 vaoName, uint32 renderQueueId, uint16 inputLayoutId, const VertexBufferPackedVec &vertexBuffers, IndexBufferPacked *indexBuffer, OperationType operationType)
VertexArrayObject * | clone (VaoManager *vaoManager, SharedVertexBufferMap *sharedBuffers, int vertexBufferType=-1, int indexBufferType=-1) const
| Clones the vertex & index buffers and creates a new VertexArrayObject.
const VertexElement2 * | findBySemantic (VertexElementSemantic semantic, size_t &outIndex, size_t &outOffset, size_t repeat=0) const
| Returns the entire VertexElement2 descriptor in the vertex buffers.
VertexBufferPacked * | getBaseVertexBuffer () const
IndexBufferPacked * | getIndexBuffer () const
uint16 | getInputLayoutId () const
OperationType | getOperationType () const
uint32 | getPrimitiveCount () const
uint32 | getPrimitiveStart () const
uint32 | getRenderQueueId () const
uint32 | getVaoName () const
const VertexBufferPackedVec & | getVertexBuffers () const
VertexElement2VecVec | getVertexDeclaration () const
| Gets the combined vertex declaration of all the vertex buffers.
void | readRequests (ReadRequestsVec &requests, size_t elementStart=0, size_t elementCount=0, bool skipRequestIfBufferHasShadowCopy=false)
| Utility to get multiple pointers & read specific elements of the vertex, even if they're in separate buffers.
void | setPrimitiveRange (uint32 primStart, uint32 primCount)
| Limits the range of triangle primitives that is rendered.

## Public Attributes
GLint | mPrimType [2]

## Additional Inherited Members
Public Types inherited from Ogre::VertexArrayObject
typedef vector< ReadRequests >::type | ReadRequestsVec
Static Public Member Functions inherited from Ogre::VertexArrayObject
static VertexElement2VecVec | getVertexDeclaration (const VertexBufferPackedVec &vertexBuffers)
static void | mapAsyncTickets (ReadRequestsVec &tickets)
| Maps the buffers requested via.
static void | unmapAsyncTickets (ReadRequestsVec &tickets)
| Unmaps the buffers mapped via.
Static Public Attributes inherited from Ogre::VertexArrayObject
static VertexBufferPacked | msDummyVertexBuffer
| When a Vao doesn't have a vertex buffer, a dummy one is assigned for performance reasons (avoid checking if pointer is null, avoid crashing inside Ogre)

## Constructor & Destructor Documentation

## ◆ GLES2VertexArrayObject()

Ogre::GLES2VertexArrayObject::GLES2VertexArrayObject | ( | GLuint | vaoName,
|  | uint32 | renderQueueId,
|  | const VertexBufferPackedVec & | vertexBuffers,
|  | IndexBufferPacked * | indexBuffer,
|  | OperationType | opType )
| inline

References Ogre::VertexArrayObject::VertexArrayObject(), mPrimType, Ogre::OT_LINE_LIST, Ogre::OT_LINE_STRIP, Ogre::OT_POINT_LIST, Ogre::OT_TRIANGLE_FAN, Ogre::OT_TRIANGLE_LIST, and Ogre::OT_TRIANGLE_STRIP.

## Member Data Documentation

## ◆ mPrimType

GLint Ogre::GLES2VertexArrayObject::mPrimType[2]

Referenced by GLES2VertexArrayObject().

The documentation for this struct was generated from the following file:

- Vao/OgreGLES2VertexArrayObject.h